/*
 *  $Id: null_del_fn.c,v 1.4 1994/06/08 22:38:18 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/***********************************************************************
*                                                                      *
*   nul_dlf.c                                                          *
*   MPI for MS-Windows 3.1                                             *
*   current version: 0.99b          06/10/95                           *
*                                                                      *
*   Joerg Meyer                                                        *
*   University of Nebraska at Omaha (UNO)                              *
*   Department of Computer Science                                     *
*                                                                      *
*   This is an MPI implementation for MS-Windows 3.1                   *
*   It is based on the MPI implementation from Argonne National        *
*   Laboratory and Mississippi State University, version from          *
*   June 17, 1994. Note their COPYRIGHT.                               *
*   ( source code and user's guide available by anonymous FTP from     *
*     info.mcs.anl.gov in directory /pub/mpi )                         *
*   Anyone is free to copy and modify this code to suit his or her     *
*   own purposes as long as these notices are retained.                *
*                                                                      *
***********************************************************************/

#include <mpiimpl.h>
#include <mpisys.h>
#pragma hdrstop

/*@
  
MPI_NULL_DELETE_FN - A function to not delete attributes  

Input Parameters:
. comm - Communicator
. keyval - Key value
. attr   - attribute
. extra_state - User-defined state to give user functions

Notes:
See discussion of MPI_Keyval_create for the use of this function.

@*/
Int MPI_NULL_DELETE_FN ( MPI_Comm far *comm, Int far *keyval, 
				void far *attr, void far *extra_state)
{
	comm        = comm;
	keyval      = keyval;
	attr        = attr;
	extra_state = extra_state;


  return (MPI_SUCCESS);
}
